﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;
using Steema.TeeChart;

namespace teechartScaleOverlapping
{
    public partial class Form1 : Form
    {
        Steema.TeeChart.Styles.Line line1;
        Steema.TeeChart.TChart tChart1;
        public Form1()
        {
            InitializeComponent();
            tChart1 = new Steema.TeeChart.TChart();
            this.panel1.Controls.Add(tChart1);
            line1 = new Line(tChart1.Chart);

            tChart1.Dock = DockStyle.Fill;
            Random rnd = new Random();
            line1.Add(1.00, rnd.Next(100));
            line1.Add(2.00, rnd.Next(100));
            line1.Add(3.00, rnd.Next(100));
            line1.Add(4.00, rnd.Next(100));
            line1.Add(5.00, rnd.Next(100));
            line1.Add(6.00, rnd.Next(100));
            line1.Add(7.00, rnd.Next(100));
            line1.Add(8.00, rnd.Next(100));
            line1.Add(9.00, rnd.Next(100));
            line1.Add(10.00, rnd.Next(100));
         
            tChart1.Axes.Bottom.Labels.Items.Clear();

            for (int i = 0; i < 10; i++)
            {
                double x = i;
                AxisLabelItem xLabel = tChart1.Axes.Bottom.Labels.Items.Add(Convert.ToDouble(x.ToString("E3")));
                xLabel.Width = 90;
                xLabel.Text = x.ToString("E3");
                xLabel.Value = x;
            }
           
        }
    }
}
